#include <stdio.h>
#include <string.h>

#include <mpi.h>

#define MAX1 100000
#define MAX 100

void main(int argc, char *argv[])
{
	int Pid, tag=0;
    int numprocs;

	int i, j, d;
	char msg[32];

	MPI_Status status;
	
    MPI_Init(&argc,&argv);

	   // Anzahl der Prozesse
    MPI_Comm_size(MPI_COMM_WORLD,&numprocs);
	/*if (numprocs!=2) {
		puts("Fehlerhafte Anzahl der Clients");
		 MPI_Finalize();
		 return;
	}*/
    
	   // meine eigene ID
	MPI_Comm_rank(MPI_COMM_WORLD,&Pid);
    
	printf(" anz: %d  id:%d\n",numprocs, Pid);
	
	/*for (i=0; i<MAX; i++) {
		for (j=0; j<MAX; j++) {
			d=i+j;
		}
	}*/
	
	if (Pid  ==  0) {
		strcpy(msg, "Gruess Gott, Ausgabe-ib");
		for (i=1; i<numprocs; i++) {
			MPI_Send( msg, strlen(msg)+1, 
			MPI_CHAR, i, tag, MPI_COMM_WORLD);
		}
	}
	if (Pid  > 0) {
		MPI_Recv( msg, 40, MPI_CHAR, 0, tag,
			MPI_COMM_WORLD, &status);
        printf("Nachricht Empfaenger:%d %s\n", Pid, msg);

	}
	fflush(stderr);

    MPI_Finalize();
}


